import { UserInfo } from "./entities/UserInfo";
import { Apis } from "@@/infra/api";
export class UserRepository {
  /**
   * 登录
   */
  async authLogin(user: UserInfo) {
    const res = await Apis.signIn(user);
    return res;
  }

  async userAuth() {
    return (await Apis.userAuth()) as {
      data: { tokenValid: boolean };
      msg: string;
      code: number;
    };
  }
}
