import { makeAutoObservable } from "mobx";

export type UserLoginFormType = {
  username?: string;
  password?: string;
  phoneNumber?: string | number;
  verifyCode?: string | number;
};

export class UserLoginForm {
  username?: string = "";
  password?: string = "";
  phoneNumber?: string | number = "";
  verifyCode?: string | number = "";

  constructor() {
    makeAutoObservable(this);
  }
}
