import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import { Table } from "../../components/Table";

interface RightCoronaryProps {
  children?: JSX.Element;
}

const data = [[{ prop: "右冠开口高度", content: "1mm", colSpan: 2 }]];

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

export const RightCoronary = (props: RightCoronaryProps) => {
  return (
    <div>
      <Heading title="右冠开口高度" style={{ marginBottom: "1.43rem" }} />
      <Table
        data={data}
        border={{ vertical: true, outer: true }}
        style={{ marginBottom: "2.86rem" }}
      />
      <ImageItem src={src} title="左冠开口高度" />
    </div>
  );
};
