import React from "react";
import { Modal, Progress } from "antd";

interface UploadProgressProps {
  title: string;
  isOpen: boolean;
  percent: number;
}

export const UploadProgressModal: React.FC<UploadProgressProps> = ({
  isOpen,
  percent,
  title,
}) => {
  return (
    <Modal title={title} open={isOpen} footer={null} closable={false}>
      <Progress percent={percent} strokeLinecap="butt" />
    </Modal>
  );
};
