import { Login } from "@/modules/Login";
import { RouteObject } from "react-router";
import { ExpandRouteProps } from ".";

/**
 * 基础路由
 */
export const baseRoutes: (RouteObject & ExpandRouteProps)[] = [
  {
    path: "/login",
    element: <Login />,
    title: "登录 - 数据管理平台",
  },
];
