import { Entity, Column, PrimaryColumn } from 'typeorm';

@Entity()
export class Permission {
  @PrimaryColumn()
  id: string;
  /**
   * 权限名
   */
  @Column({ unique: true })
  name: string;

  @Column()
  description: string;

  /**
   * 资源,隔开
   */
  @Column()
  resources: string;
}
