import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { ArchiveTask } from './entity/archiveTask';
import { Repository } from 'typeorm';

@Injectable()
export class RetrievalService {
  constructor(
    @InjectRepository(ArchiveTask)
    private readonly archiveTaskRepository: Repository<ArchiveTask>,
  ) {}

  async createArchiveTask({ annotatorId, study }) {
    return this.archiveTaskRepository.save({ annotatorId });
  }
}
