import { makeAutoObservable } from "mobx";

type UserInfoProps = {
  id?: number;
  username?: string;
  /**
   * 是否登录
   */
  isLoggedIn?: boolean;
  phoneNumber?: string | number;
  /**
   * 创建时间
   */
  createTime?: number | string;
  /**
   * 部门
   */
  department?: string;
  /**
   * 联系人
   */
  contactPerson?: string;
};

export class UserInfo {
  constructor(userInfo: UserInfoProps) {
    Object.assign(this, userInfo);
    makeAutoObservable(this);
  }
}
