import { makeAutoObservable } from "mobx";

type UserLoggedInProps = {
  userId: number;
  timestamp?: number;
};

export class UserLoggedIn {
  userId: number;
  timestamp: number;

  constructor({ userId, timestamp = Date.now() }: UserLoggedInProps) {
    this.userId = userId;
    this.timestamp = timestamp;
  }
}
