import { ThemeConfig } from "antd";

/**
 * requireAuth重定向路由
 */
export const AuthFailedReplacePath = "/login";

/**
 * router/router.config.tsx忘记配置路由的meta.title时默认使用
 */
export const defaultTitle = "CVPILOT Viewer";

/**
 * token优先级低于局部ConfigProvider
 */
export const theme: ThemeConfig = {
  token: {
    colorPrimary: "#2e97d1",
    borderRadius: 2,
  },
};

/**
 * 默认语言
 * @enum "zh-CN" | 'en' | 'en-US' | 'zh'
 */
export const defaultLang = "zh-CN";
