import { Button } from "antd";
import { useNavigate } from "react-router";

interface DashboardProps {
  children?: JSX.Element;
}

export const Dashboard = (props: DashboardProps) => {
  const navigate = useNavigate();
  return (
    <div>
      <h1>Dashboard</h1>
      <Button onClick={() => navigate("/list")} data-tracking-id="test-btn">
        跳转list
      </Button>
    </div>
  );
};
