import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";

interface AortaValveProps {
  children?: JSX.Element;
}

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

export const AortaValve = (props: AortaValveProps) => {
  return (
    <div>
      <Heading
        title="主动脉瓣的形态和功能"
        level={1}
        style={{ marginBottom: "2.36rem" }}
      />
      <Heading title="瓣叶类型" />
      <p style={{ marginTop: 0, marginBottom: "2.86rem" }}>三叶瓣</p>
      <ImageItem src={src} />
    </div>
  );
};
