export interface Section {
  title: string;
  subsections?: Subsection[];
}

export interface Subsection {
  title: string;
  /**
   * 是否在title后面加上仅供参考小字
   */
  forRef?: boolean;
  /**
   * 页码
   */
  pageNumber: number;
}

export interface Contents {
  sections: Section[];
}
