/**
 * 左冠窦瓣叶长度
 */

import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import { Table } from "../../components/Table";

interface NoCoronarySinusProps {
  children?: JSX.Element;
}

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

const data = [[{ prop: "无冠窦瓣叶长度", content: "9.67mm", colSpan: 2 }]];

export const NoCoronarySinus = (props: NoCoronarySinusProps) => {
  return (
    <div>
      <Heading
        title="无冠窦瓣叶长度"
        forRef
        style={{ marginBottom: "1.43rem" }}
      />
      <Table
        data={data}
        border={{ vertical: true, outer: true }}
        style={{ marginBottom: "2.86rem" }}
      />
      <ImageItem
        title="无冠窦瓣叶长度"
        src={src}
        imgStyle={{ height: "6.43rem" }}
      />
    </div>
  );
};
