import { Heading } from "../../components/Heading";
import { ImageItem } from "../../components/ImageItem";
import { Table } from "../../components/Table";

interface SOVProps {
  children?: JSX.Element;
}

const data = [
  [
    { prop: "SOV-L：", content: "36.40mm" },
    { prop: "SOV-R：", content: "36.69mm" },
  ],
  [{ prop: "SOV-N：", content: "37.07mm" }],
];

const src =
  "https://1500021350.vod2.myqcloud.com/cbafb25avodsh1500021350/e7f802d33270835009150070462/hgdT5ulA9RwA.png";

export const SOV = (props: SOVProps) => {
  return (
    <div>
      <Heading title="瓦氏窦 SOV" style={{ marginBottom: "1.43rem" }} />
      <Table
        data={data}
        border={{ vertical: true, outer: true }}
        style={{ marginBottom: "2.86rem" }}
      />
      <ImageItem src={src} title={"瓦氏窦 SOV"} />
    </div>
  );
};
