import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";
import { resolve } from "path";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react()],
  resolve: {
    alias: {
      "@": resolve(__dirname, "src"),
      "@@": resolve(__dirname, "core"),
    },
  },
  server: {
    port: 5173,
    proxy: {
      "/cert": {
        target: "http://localhost:12144",
        changeOrigin: true,
      },
    },
  },
});
