import { Apis, DownloadArchiveDTO, ExistInPacsDTO } from "@@/infra/api";

export class DicomRepository {
  async upload2Pacs(dcmFile: File) {
    const formdata = new FormData();
    formdata.append("file", dcmFile);
    return Apis.upload2Pacs(formdata);
  }

  async existInPacs(p: ExistInPacsDTO) {
    return Apis.existInPacs(p);
  }

  async downloadDicom(p: DownloadArchiveDTO) {
    return Apis.downloadDicom(p);
  }
}
