import { observer } from "mobx-react-lite";
import { ConfigProvider } from "antd";
import { RouterElements } from "./router";
import { theme } from "./constant";
import { BrowserRouter } from "react-router-dom";

export const App = observer(() => {
  console.log("app");
  return (
    <ConfigProvider theme={theme}>
      <BrowserRouter>
        <RouterElements />
      </BrowserRouter>
    </ConfigProvider>
  );
});
