import { ThemeConfig } from "antd";

export const defaultDocumentTitle = "dmp - 数据管理平台";

export const AuthFailedReplacePath = "/login";

/**
 * token优先级低于局部ConfigProvider
 */
export const theme: ThemeConfig = {
  token: {
    colorPrimary: "#fa541c",
    borderRadius: 5,
  },
};

// value对应认证中心创建角色key
export enum ROLE_NAME {
  ADMIN = "dmp_admin",
  ANNOTATOR = "dmp_annotator",
}
