import { TableColumnsType } from "antd";

export const columns: TableColumnsType<any> = [
  { title: "#", dataIndex: "id", key: "id" },
  { title: "病历号", dataIndex: "PatientID", key: "PatientID" },
  {
    title: "创建时间",
    render: (_, record) => {
      const formateDate = new Date(record.createTime ?? "").toLocaleString();
      return <span>{formateDate}</span>;
    },
    key: "createTime",
  },
];
