export class RedisToken {
  private id: string;
  constructor({ id }: { id: string }) {
    this.id = id;
  }

  /**
   * 生成redis存储用户token的key
   * @description user:token:${id}
   */
  key() {
    return `token:user:${this.id}`;
  }
}
